## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLAggregateSortSpecification

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  XMLAggregateSortSpecificationImpl

    public interface XMLAggregateSortSpecification

extends SQLQueryObject

A representation of the model object 'XML Aggregate Sort Specification'. Specifies an ordering within the values returned by the aggregation function. See ISO SQL/XML sec. 11.2.

The following features are supported:

- `Aggregate Function`
- `Order By Spec`

See Also:
  `SQLXMLQueryModelPackage.getXMLAggregateSortSpecification()`

Method Summary
`XMLAggregateFunction` `getAggregateFunction()` Returns the value of the 'Aggregate Function' container reference.
`OrderBySpecification` `getOrderBySpec()` Returns the value of the 'Order By Spec' containment reference.
`void` `setAggregateFunction(XMLAggregateFunction value)` Sets the value of the '`Aggregate Function`' container reference.
`void` `setOrderBySpec(OrderBySpecification value)` Sets the value of the '`Order By Spec`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getAggregateFunction

    XMLAggregateFunction getAggregateFunction()

  Returns the value of the 'Aggregate Function' container reference. It is bidirectional and its opposite is '`Sort Spec List`'.

  If the meaning of the 'Aggregate Function' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Aggregate Function' container reference.
  See Also:
    `setAggregateFunction(XMLAggregateFunction)`, `SQLXMLQueryModelPackage.getXMLAggregateSortSpecification_AggregateFunction()`, `XMLAggregateFunction.getSortSpecList()`

### setAggregateFunction

    void setAggregateFunction(XMLAggregateFunction value)

  Sets the value of the '`Aggregate Function`' container reference.

  Parameters:
    `value` - the new value of the 'Aggregate Function' container reference.
  See Also:
    `getAggregateFunction()`

### getOrderBySpec

    OrderBySpecification getOrderBySpec()

  Returns the value of the 'Order By Spec' containment reference.

  If the meaning of the 'Order By Spec' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Order By Spec' containment reference.
  See Also:
    `setOrderBySpec(OrderBySpecification)`, `SQLXMLQueryModelPackage.getXMLAggregateSortSpecification_OrderBySpec()`

### setOrderBySpec

    void setOrderBySpec(OrderBySpecification value)

  Sets the value of the '`Order By Spec`' containment reference.

  Parameters:
    `value` - the new value of the 'Order By Spec' containment reference.
  See Also:
    `getOrderBySpec()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.